Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 825208 - fedora-cert does not work
Summary: fedora-cert does not work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-25 11:14 UTC by Harald Reindl
Modified: 2013-02-14 01:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 01:06:23 UTC


Attachments (Terms of Use)

Description Harald Reindl 2012-05-25 11:14:52 UTC
hi

i liked to setup "fedora-easy-karma" on my test machine
but it will not generate a cert :-(

fedora-easy-karma-0-0.15.20110825git36efb338.fc16.noarch

[root@testserver:~]$ fedora-cert --username=hreindl -n
Getting a new User Certificate
FAS Password: 
Traceback (most recent call last):
  File "/usr/bin/fedora-cert", line 71, in <module>
    main(opts)
  File "/usr/bin/fedora-cert", line 38, in main
    fedora_cert.create_user_cert(username)
  File "/usr/lib/python2.7/site-packages/fedora_cert/__init__.py", line 96, in create_user_cert
    cert = fas.user_gencert()
  File "/usr/lib/python2.7/site-packages/fedora/client/fas2.py", line 655, in user_gencert
    request = self.send_request('user/dogencert', auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
    auth_params=auth_params, retries=retries)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 443, in send_request
    {'url': to_bytes(url), 'err': to_bytes(e)})
fedora.client.ServerError: ServerError(https://admin.fedoraproject.org/accounts/user/dogencert, 200, Error returned from json module while processing https://admin.fedoraproject.org/accounts/user/dogencert: No JSON object could be decoded: line 1 column 0 (char 0))

Comment 1 Till Maas 2012-05-25 20:32:39 UTC
fedora-cert is part of fedora-packager. Nevertheless, you do not need a fedora certificate for fedora-easy-karma to work. Just run fedora-easy-karma --fas-username hreindl or report a bug if this does not work.

Comment 2 Dennis Gilmore 2012-05-25 21:23:06 UTC
the error could be better but its because you have to have signed the contributor agreement to be able to get a certificate.

Comment 3 Fedora End Of Life 2013-01-16 22:35:33 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Till Maas 2013-01-20 22:01:59 UTC
It looks like this has been fixed in Fedora 17:
 95     try:
 96         cert = fas.user_gencert()
 97         fas.logout()
 98     except CLAError:
 99         fas.logout()
100         raise fedora_cert_error("""You must sign the CLA before you can generate your certificate.\n
101 To do this, go to https://admin.fedoraproject.org/accounts/cla/""")

Comment 5 Fedora End Of Life 2013-02-14 01:06:30 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.